#!/usr/bin/env batchflow
<?xml version="1.0"?>
<Document>
  <Network type="subnet" name="MAIN">
    <Node name="node_Constant_1" type="Constant" x="100" y="100">
      <Parameter name="VALUE" type="string" value="./parrot.png" description="The value"/>
    </Node>
    <Node name="node_LOOP0_1" type="LOOP0" x="290" y="100">
    </Node>
    <Link from="node_Constant_1" output="VALUE" to="node_LOOP0_1" input="FILENAME"/>
    <NetOutput name="IMAGEOUT" node="node_LOOP0_1" terminal="IMAGEOUT" object_type="any" description="No description available"/>
  </Network>
  <Network type="iterator" name="LOOP0">
    <Node name="node_Sleep_1" type="Sleep" x="100" y="100">
      <Parameter name="SECONDS" type="float" value="0.1" description="Sleep x seconds."/>
    </Node>
    <Node name="node_CvfdLoadImage_1" type="CvfdLoadImage" x="110" y="180">
      <Parameter name="ISCOLOR" type="int" value="-1" description="Specifies colorness of the loaded image"/>
    </Node>
    <Node name="node_CvfdhShowImage_1" type="CvfdhShowImage" x="370" y="180">
      <Parameter name="WINDOW_TITLE" type="string" value="BaseImage" description="Window title."/>
      <Parameter name="FLAGS" type="int" value="1" description="If it is set to 1, window size is automatically adjusted to fit the displayed image, while user can not change the window size manually."/>
    </Node>
    <Link from="node_CvfdLoadImage_1" output="IMAGE" to="node_CvfdhShowImage_1" input="IMAGEIN"/>
    <NetInput name="FILENAME" node="node_CvfdLoadImage_1" terminal="FILENAME" object_type="string" description="The file name to load"/>
    <NetOutput name="IMAGEOUT" node="node_CvfdhShowImage_1" terminal="IMAGEOUT" object_type="any" description="Output image. The type should be CvfdImage or Map&lt;int, ObjectRef&gt;."/>
    <NetCondition name="CONDITION" node="node_Sleep_1" terminal="VALUE"/>
  </Network>
</Document>
